2026-05-02  Lars Windolf <lars.windolf@gmx.de>

	Version 1.16.9

	* Fixes a regression that breaks using online accounts
	  (Lars Windolf)

	* Fixes a regression when subscribing to local files
	  (Lars Windolf)

	* Fixes some memory leaks
	  (Lars Windolf)


2026-04-25  Lars Windolf <lars.windolf@gmx.de>

	Version 1.16.8

	* Reimplements category display, improves metadata display by
	  displaying all in a wrapped line to optimize vertical space usage

	* Add a new user.js which is automatically installed to ~/.config/liferea/user.js
	  that provides hooks for data and rendering manipulation.
	  (Lars Windolf)
	
	* #1490: Add blogroll support. For feeds with <source:blogroll> element or homepages
	  with <link rel="blogroll"> blogroll URLs are detected and the blogroll is downloaded
	  and shown in the feed view.
	  (Lars Windolf)

	* Change "Discover Feeds" to open in external browser. Due to
	  rss-finder using ESM and Webkit enforcing CORS for ESM and 
	  Cloudflares corsproxy.io now not available anymore there is no
	  easy and secure way to simply embed it.
	  (Lars Windolf)

	* Security updates for JS modules
	  (Lars Windolf)

	* Fixes #1494: Better contrast in light mode, a bit less in dark mode
	  (Lars Windolf)

	* Fixes #1482: Extraneous white space in item header
	  (Lars Windolf)

	* Fixes #1481: Updating feeds satuarates the main look making
	  interaction difficult
	  (Lars Windolf)
	
	* Fixes a memory leak when loading subscription metadata
	  (Lars Windolf)

	* Update of Spanish translation
	  (Cristian Othón Martínez Vera)


2025-12-27  Lars Windolf <lars.windolf@gmx.de>

	Version 1.16.7

	* Drop Youtube video embedding due to "error 153" and the general
	  privacy implications
	  (Lars Windolf)
	
	* Fixes #805: use white on red instead of black on red for 
	  item list "Important" label
	  (Lars Windolf)

	* Fixes #1478: No favicons for several feeds
	  (Lars Windolf)
	
	* Fixes #1477: bsky.app links not being used
	  (Lars Windolf)

	* Fixes #1480: Extract item content is sometimes unexpectedly colored
	  (Lars Windolf)
	  

2025-10-30  Lars Windolf <lars.windolf@gmx.de>

	Version 1.16.6

	* Removes GAsyncQueue usage and uses proper GThreadPools, this
	  significantly speeds up updating and reduced GUI lag a lot
	  (Rich Coe)

	* Add support for subscribing to phlog gopher listings 
	  (Lars Windolf)

	* Add support for gopher:// URI schema in internal browser
	  (Lars Windolf)

	* Readd incorrectly removed reference.css file
	  (Lars Windolf)

	* Dark mode: dimmed images filter gets reset when hovering over image
	  (Lars Windolf)

	* Fixes #1457 link rel=alternate/self parsing
	  (Lars Windolf)

	* Fixes frozen HTML page after launching feed:// links
	  (Lars Windolf)

	* Fixes #1459 better requiring girepository-2.0 
	  (oreo639)

	* Fixes #1462 panes too small on start
	  (Lars Windolf)

	* Fixes #1466 zoom in from browser context menu broken
	  (Lars Windolf)


2025-09-13  Lars Windolf <lars.windolf@gmx.de>

	Version 1.16.5

	* Fixes a crash on subscribing when at least one news bin does exist.
	  (Lars Windolf)

	* Fixes #1455 crash on viewing items with comment feeds.
	  (Lars Windolf)

	* Fix input field vertical expand and margins in several dialogs
	  (Lars Windolf)


2025-09-09  Lars Windolf <lars.windolf@gmx.de>

	Version 1.16.4

	* Fixes a regression introduced in 1.16.3 that broken newsbins. The "type"
	  attribute in the exported OPML was wrong. If you are affected please manually
	  change "type" for your news bins back to "newsbin" in the OPML file
	  usually ~/.config/liferea/feedlist.opml.
	  (Lars Windolf)

	* Fixes #1423 regression in main window geometry restoration
	  (Lars Windolf)

	* Fixes #1454 deprecated icon in headerbar plugin
	  (Branko Grubić)


2025-09-05  Lars Windolf <lars.windolf@gmx.de>

	Version 1.16.3

	* Rewrite GtkPaned position restoration to GSettings bindings
	  (Lars Windolf)

	* #1239 Add print support, new menu option in 'Tools'
	  (Lars Windolf)

	* #1304 Show full feed properties dialog on 'Advanced' subscribe
	  (Lars Windolf)

	* #1453 Automatically determine girepository version to use
	  (loqs)


2025-08-28  Lars Windolf <lars.windolf@gmx.de>

	Version 1.16.2

	* Fix #1421 "Mark all as read ?" warning dialog does not appear on middle-click
	  (Lars Windolf)

	* Fixes #904: charset related issue with links
	  (Lars Windolf)
	
	* Fixes crash when subscribing with "Discover feeds"
	  (Lars Windolf)

	* URL bar is now hidden for special help tabs
	  (Lars Windolf)

	* Removes outdated FAQ menu entry
	  (Lars Windolf)
	
	* GtkShortCutsWindow is now used for displaying hotkeys, new hotkey is Ctrl-?
	  (Lars Windolf)

	* Fixes incorrectly emitting "move-cursor" signal in GtkTreeView
	  (Lars Windolf)


2025-08-20  Lars Windolf <lars.windolf@gmx.de>

	Version 1.16.1

	* Fix #1442: Fails to start on empty database
	  (reported by bbhtt)


2025-08-13  Lars Windolf <lars.windolf@gmx.de>

	Version 1.16.0

	* Fixes memory leak in search dialog
	  (Lars Windolf)

	* Updated German translation
	  (Lars Windolf)


2025-06-05  Lars Windolf <lars.windolf@gmx.de>

	Version 1.16-RC4

	* Migrates the DB schema to use autoincrement for item id to solve
	  race conditions were item metadata got mixed up. Note that this
          has a performance impact and table migration on startup might
	  take some seconds.
          (Lars Windolf)

	* Make JS vendor libs more reproducible by
	  - providing a package-lock.json
	  - providing a 'npm run installDeps' command
	  - always keeping non-minified versions in the repo
	  (Lars Windolf)

	* Update JS library DOMPurify to 3.2.5 and Readability to 0.6.0
	  (Lars Windolf)

	* Added CSP to item view that limits external resources that can load
	  (Lars Windolf)

	* #1429 Allow compiling against libgirepository 2.0, configure.ac still defaults
	  to 1.0 but you can change to 2.0 if you need to depending on you pygobject version
	  (Lars Windolf)


2025-04-15  Lars Windolf <lars.windolf@gmx.de>

	Version 1.16-RC3

	* Removes long deprecated manual proxy setting
	  (Lars Windolf)

	* #1462 Drop the possibility to save passwords to OPML feed list when
	  no keyring is available. This is too insecure.
	  (Lars Windolf)

	* #1426 Migration to libpeas2, this means
	  - simplified plugin manager
	  - get_focus plugin looses configuration dialog
	  - all 3rd party plugins are automatically broken, as libpeas
	    requires different interface activation
	  - no more 3rd party plugin installation supported
	  (Lars Windolf)

	* #1426 New configure option to set girepository dependency version
	  (Lars Windolf)
	  
	* Fixes escaping of JS exception texts
	  (Lars Windolf)

	* Fixes Youtube video embedding regression
	  (Lars Windolf)


2025-02-25  Lars Windolf <lars.windolf@gmx.de>

	Version 1.16-RC2

	* Fixes #1414 Blank preview pane (when Javascript preference is disabled)
	  (Lars Windolf, reported by Filip Danilović)

	* Updated Spanish translation
	  (Cristian Othón Martínez Vera)

	* Updated German translation
	  (Lars Windolf)


2025-02-09  Lars Windolf <lars.windolf@gmx.de>

	Version 1.16-RC1

	* Add error banner for node source login failures
	  (Lars Windolf)

	* Add a hint for GoogleReader API that it can be used with FreshRSS, FeedHQ, Miniflux
	  (Lars Windolf)

	* #763, #940 New domain based HTTP 429 handling. Support for Retry-After seconds (but not date),
	  defaulting to 5min cooldown
	  (Lars Windolf)

	* #712 Send Accept-Language HTTP header 
	  (Lars Windolf)

	* Fixes #1337, #1273: FreshRSS login/update problems
	  (Lars Windolf)

	* Fixes #499 invalid URIs allowed when dropping text
	  (Lars Windolf)

	* Fixes broken handlebars templates due to XLST attribute escaping.
	  (Lars Windolf)

	* Fixes node source creation regression
	  (Lars Windolf)


2025-01-20  Lars Windolf <lar.windolf@gmx.de>

	Version 1.15.9

	* #1391: GObject refactoring nodePtr -> Node, updateJobPtr -> UpdateJob 
	  to allow plugins modifying the feed list.
	  (Lars Windolf)

	* Fixes #1387: Dark theme lost in preview window
	  (Lars Windolf)

	* Fixes HTTP redirects not working
	  (Lars Windolf)

	* Fixes memory leaks in network callbacks
	  (Lars Windolf)
	
	* Fixes unnecessary LifereaBrowser clearing on layout change
	  (Lars Windolf)

	* New unit tests for update handling code
	  (Lars Windolf)
	
	* #1388 Implemented download manager plugin, all preferences
	  for external tools were dropped
	  (Lars Windolf)
	
	* Refactoring of plugin management, code reorganized. Disabling plugins
	  now does not disable base plugins (needed for auth and node sources)
	  as this would prevent startup
	  (Lars Windolf)

	* Refactoring of content scraping, processing now happens in Javascript
	  on entire source documents. We now store a bit more data, but get better
	  extraction results
	  (Lars Windolf)
	
	* Support for lazy loading <img data-src=""> definitions. This unbreaks
	  images when scraping some websites
	  (Lars Windolf)

	* Redesign of the HTML view. Look & feel is adapted from Newsflash.
	  There is now a max-width and less cluttered reading.
	  (Lars Windolf)

	* Getting rid of XSLT in favor of using Handlebars.js
	  (Lars Windolf)

	* Updated Czech translation (Amereyeu)
	* Updated Albanian translation (Besnik Bleta)


2024-09-26  Lars Windolf <lars.windolf@gmx.de>

	Version 1.15.8

	* #1289 Solve some Webkit deprecations
	  (Lars Windolf)

	* Fixes #1359: Prevent passing "" as CLI argument causing a useless subscription.
	  Also checks for duplicates when subscribing from CLI/DBUS.
	  (Lars Windolf)
	
	* Fixes #1372: Fix feed icon not parsing if the URL doesn't have a file extension bug 
	  (Stomern)
	
	* Fixes #1382: Doesn't recognize atom:link element with no rel attribute bug 
	  (Lars Windolf, reported by Ed Davies)
	
	* Update of Turkish translation (emintufan)


2024-06-19  Lars Windolf <lars.windolf@gmx.de>

	Version 1.15.7

	* Add Sec-GPC header support via new preference to prevent user data selling.
	  (Lars Windolf)

	* Drop enclosure list view in favour of embedded HTML5 <audio> and <video> elements
	  (Lars Windolf)

	* Fixes #1332: Improve "*** No title! ***" for items without title
	  (Lars Windolf)


2024-03-14  Lars Windolf <lars.windolf@gmx.de>

	Version 1.15.6

	* Automatically drop empty content elements (e.g. placeholders
          for images/iframes/ads not loaded)

	* Automatically set inline SVG sizes from viewBox attribute
	  to prevent max-width SVGs

	* Hide <nav> elements extracted by HTML5 content extraction

	* Remove G_REGEX_OPTIMIZE flag from DHTML stripping regex handling
	  as valgrind reports memory errors with this.


2023-12-23  Lars Windolf <lars.windolf@gmx.de>

	Version 1.15.5

	* #1322 Remove Mate workaround from trayicon plugin
	  (Yuri Konotopov)

	* #1318 Set prgname to match application id (needed for KDE)
	  (bbhtt)

	* #1317 Support XDG_CONFIG_HOME for trayicon plugoin config
	  (bbhtt)

	* Update Readability.js to recent version
	  (Lars Windolf)

	* Added DOMPurify.js for content filtering
	  (Lars Windolf)


2023-10-22  Lars Windolf <lars.windolf@gmx.de>

	Version 1.15.4

	* Improve on #1192 by doing pane sanity checks on each resize
	  (Lars Windolf)

	* Fixes #1297: Reorder loading plugins and deactivating webkit-settings
	  (Lars Windolf)

	* #1305 Refactoring of the trayicon plugin to support
	  AppIndicator and libayatana
	  (Yuri Konotopov)


2023-09-15  Lars Windolf <lars.windolf@gmx.de>

	Version 1.15.3

	* Fixes #1297: Enabling plugin 'webkit-settings' crashes Liferea
	  (reported by Paul Gevers)

	* Fixes #1294: Clicking 'remove item' caused a SIGSEGV
	  (reported by Rich Coe)

	* Fixes #1276: Old WebKitCache cache not cleaned
	  (reported by hasezoey)


2023-08-30  Lars Windolf <lars.windolf@gmx.de>

	Version 1.15.2

	* Fixes #1291: Feed parsing is broken
	  (Rich Coe)


2023-08-14  Lars Windolf <lars.windolf@gmx.de>

	Version 1.15.1

	* Update to libsoup3 and libwebkit2gtk-4.1
	  (Lars Windolf)

	* Fixes #1285: HTTP 304 incorrectly caused error state
	  (Rich Coe)

	* Fixes #1272: Crash on moving feed into new folder
	  (Lars Windolf, reported by Jakub T. Jankiewicz)

	* Fixes #1262: Plugin installer: duplicate punctuation
	  (Christian Stadelmann)

	* Fixes #1250: Incorrect item_id when downloading AMP URLs
	  (Alexandre Erwin Ittner)

	* Fixes #1248: Can't maximize for reading feeds
	  (Lars Windolf)

	* Fixes #1242: Dropping not-functioning Pocket bookmark URL
	  (Lars Windolf)

	* Fixes #1241: Dropping not-functioning identi.ca bookmark URL
	  (Lars Windolf)

	* Fixes #1240: TypeError on add-bookmark-site preferences
	  (Lucidiot)

	* Many fixes for static code analysis warnings
	  (Lars Windolf)

	* Simplified debug handling. Drop --debug-performance
	  --debug-trace and --debug-verbose CLI parameters.
	  (Lars Windolf)

	* Removed stale Deutsche Welle Brasil feed from pt-BR default feed list
	  (Alexandre Erwin Ittner)

	* Updated appdata description and summary
	  (bbhtt)

	* Add Russian user documentation (slichtzzz)
	* Updated Czech translation (Amerey)
	* Updated Brazilian Portugese translation (Fúlvio Alves)


2023-04-16  Lars Windolf <lars.windolf@gmx.de>

	Version 1.15.0

	* Fixes #1217, #1224: Endless recursion in 1.14.3
	  (reported by uduecoder, mokraemer)

	* Fixes #1214: crash in conf_get_bool_value_from_schema
	  (mozbugbox, reported by Mikel Olasagasti)

	* Fixes #1215: failed to build in launchpad PPA due to 
	  auto_test permission issue (reported by PandaJim)

	* Fixes #1212: 1.14.1 crash when refreshing feeds.
	  (mozbugbox, reported by Froggy232)
	  
	* Fixes #1198: FreshRSS logging in correctly but can't get posts
	  (reported by Roger Gonzalez)

	* Fixes a memory leak when reloading CSS
	  (Lars Windolf)

	* Fixes CVE-2023-1350: RCE vulnerability on feed enrichment
	  (patch by Alexander Erwin Ittner)

	* Fixes #1200: Crash on double free
	  (mozbugbox)

	* Improve #1192 be reordering widget creation order
	  (Lars Windolf)
	  
	* Improvements to the libnotify plugin
	  (Tasos Sahanidis)

	* Fixes a g_object_unref warning on shutdown
	* Drops a debug output in the plugin installer
	* Drop webkit inspector from installable plugins in favour of --debug-html
	* Drop pane plugin from default plugins 
	* Drop pane plugin (old workaround for pane issues)

[truncated]
